uniform vec4 CelColor;
uniform vec4 LightPosition;
uniform int pass;

void main(void)
 {
 vec4 NormLightVector;
 vec3 Normal;

 Normal              = gl_NormalMatrix * gl_Normal;
 gl_Position         = gl_ModelViewProjectionMatrix * gl_Vertex;
 gl_FrontColor       = CelColor * gl_Color;
 NormLightVector     = normalize( vec4(LightPosition,0.0) - gl_Vertex );
 gl_TexCoord[0]      = gl_MultiTexCoord0;
 gl_TexCoord[1].s    = dot(NormLightVector, vec4(gl_Normal, 1.0));
 }


